- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QWidgetAction Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qwidgetaction.h.

`#include <qwidgetaction.h>`

Inheritance diagram for QWidgetAction:
[legend]

List of all members.

## Public Member Functions
| QWidgetAction (QObject *parent)
virtual | ~QWidgetAction ()
void | setDefaultWidget (QWidget *w)
QWidget * | defaultWidget () const
QWidget * | requestWidget (QWidget *parent)
void | releaseWidget (QWidget *widget)
## Protected Member Functions
virtual bool | event (QEvent *)
virtual bool | eventFilter (QObject *, QEvent *)
virtual QWidget * | createWidget (QWidget *parent)
virtual void | deleteWidget (QWidget *widget)
QList< QWidget * > | createdWidgets () const

## Constructor & Destructor Documentation

QWidgetAction | ( | QObject * | parent | ) | `[explicit]`

virtual ~QWidgetAction | ( |  | ) | `[virtual]`

## Member Function Documentation

void setDefaultWidget | ( | QWidget * | w | ) |

Search for all occurrences

QWidget* defaultWidget | ( |  | ) | const

Search for all occurrences

QWidget* requestWidget | ( | QWidget * | parent | ) |

Search for all occurrences

void releaseWidget | ( | QWidget * | widget | ) |

Search for all occurrences

virtual bool event | ( | QEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAction.

virtual bool eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

virtual QWidget* createWidget | ( | QWidget * | parent | ) | `[protected, virtual]`

Search for all occurrences

virtual void deleteWidget | ( | QWidget * | widget | ) | `[protected, virtual]`

Search for all occurrences

QList<QWidget *> createdWidgets | ( |  | ) | const `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qwidgetaction.h

QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction
QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction QWidgetAction